## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanNodeListSurrogate Class Reference

`#include <XalanNodeListSurrogate.hpp>`

Inheritance diagram for XalanNodeListSurrogate:

[legend]
Collaboration diagram for XalanNodeListSurrogate:

[legend]
List of all members.

## Public Methods

- XalanNodeListSurrogate (const XalanNode &theNode)
- XalanNodeListSurrogate (const XalanNodeListSurrogate &theSource)
- virtual ~XalanNodeListSurrogate ()
- XalanNodeListSurrogate& operator= (const XalanNodeListSurrogate &theSource)
- bool operator== (const XalanNodeListSurrogate &theRHS) const
- virtual XalanNode* item (unsigned int index) const
    Returns the `index`th item in the collection. More...
- virtual unsigned int getLength () const
    Returns the number of nodes in the list. More...

## Constructor & Destructor Documentation

XalanNodeListSurrogate::XalanNodeListSurrogate ( | const XalanNode & theNode )

XalanNodeListSurrogate::XalanNodeListSurrogate ( | const XalanNodeListSurrogate & theSource )

XalanNodeListSurrogate::~XalanNodeListSurrogate ( | )`[virtual]`

## Member Function Documentation

unsigned int XalanNodeListSurrogate::getLength ( | ) const`[virtual]`

| Returns the number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Reimplemented from XalanNodeList.

XalanNode * XalanNodeListSurrogate::item ( | unsigned int index ) const`[virtual]`

Returns the `index`th item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null`.

Parameters:

  index | Index into the collection.

Returns:
  The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.

Reimplemented from XalanNodeList.

XalanNodeListSurrogate & XalanNodeListSurrogate::operator= ( | const XalanNodeListSurrogate & theSource )

bool XalanNodeListSurrogate::operator== ( | const XalanNodeListSurrogate & theRHS ) const

The documentation for this class was generated from the following file:

- XalanNodeListSurrogate.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.